function drawLJconf(xyz,fig)
figure(fig);clf;
hold on;
[m Na] = size(xyz);

rstar = 0.5*2^(1/6);
t = linspace(-1,1,50);
[X Y Z] = meshgrid(t,t,t);
V = sqrt(X.^2 + Y.^2 + Z.^2);
[faces,verts] = isosurface(X,Y,Z,V,rstar);
nverts = size(verts,1);
e = ones(nverts,1);
col = jet(Na);


hold on;
for i = 1 : Na
    patch('Vertices',verts + e*xyz(:,i)','Faces',faces,'Facecolor',col(i,:),...
        'EdgeColor','none','LineStyle','none');
end
camlight('headlight');
lighting gouraud
set(gca,'DataAspectRatio',[1,1,1]);
alpha(0.8);
view(3)
axis off
zoom(1.5)
drawnow
end
