function x = remove_rotations_translations(xyz)
% removes rotational and translational degrees of freedom
% input should be 3 by Na matrix
% output = column vector 3*Na - 6 by 1
[m Na] = size(xyz);
if m ~= 3 || Na < 3
    fprintf('Error in remove_rotations_translations: [m = %d, Na = %d]\n',m,Na);
    return
end
    % shift atom 1 to the origin;
    xyz = xyz - xyz(:,1)*ones(1,Na);
    % Use a Householder reflection to place atom 2 on the x-axis
    u = xyz(:,2);
    noru = norm(u);
    ind = min(find(abs(u) > 1e-12));
    xyz = circshift(xyz,[1 - ind,0]);
    u = xyz(:,2);
    u(1) = u(1) + sign(u(1))*noru;
    noru = norm(u);
    if noru > 1e-12
        House = eye(3);
        u = u/noru;
        House = House - 2*u*u';
        xyz = House*xyz;
    end
    % Perform rotation around the x-axis to place atom 3 onto the xy-plane
    R = eye(3);
    a = xyz(:,3);
    r = sqrt(a(2)^2 + a(3)^2);
    if r > 1e-12
        R(2,2) = a(2)/r;
        R(3,3) = R(2,2);
        R(2,3) = a(3)/r;
        R(3,2) = -R(2,3);
        xyz = R*xyz;
    end
    %% prepare input vector
    x_aux = xyz(:); % make xyz into column vector
    % x = [x2 x3 y3 x4 y4 z4 ... xNa yNa ZNa]';
    x = x_aux([4,7,8,10 : Na*3]);
%     fprintf('Ndim = %d\n',N);

end